Bug 45103 - Failed docker installations due to apt lock
Failed docker installations due to apt lock
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-1-errata
Assigned To: Felix Botner
Dirk Wiesenthal
:
Depends on: 44015 44630
Blocks: 42817 45142
  Show dependency treegraph
 
Reported: 2017-07-31 09:57 CEST by Dirk Wiesenthal
Modified: 2017-08-09 16:57 CEST (History)
3 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 6: Setup Problem: Issue for the setup process
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 4: A User would return the product
User Pain: 0.274
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2017-07-31 09:57:14 CEST
Unfortunately, this is not enough.

We are now doing
ucr set update/check/cron/enabled=false

There is another UCRV that needs to be set.
ucr set update/check/boot/enabled=false

Please clone for 4.1-4
docker-test.software-univention.de...appbox:4.1-4
has manually set this fix. Jenkins tests are better since Friday.

+++ This bug was initially created as a clone of Bug #44630 +++

+++ This bug was initially created as a clone of Bug #44015 +++

The test cases show the following error (in this case 76_app_ports_redirect):
-----------------------------------------------------------------------------
Starting to download 3 file(s) directly
+ univention-app register dg679qmtiq --component
File: /etc/apt/apt.conf.d/55user_agent

++ univention-app get dg679qmtiq default_packages --values-only --shell
+ app_packages='telnetd proftpd'
+ univention-install -y telnetd proftpd
E: Could not get lock /var/lib/apt/lists/lock - open (11: Resource temporarily unavailable)
E: Unable to lock directory /var/lib/apt/lists/
Setup script failed!
Aborting...
Going to remove dg679qmtiq (8.8.1)
-----------------------------------------------------------------------------

So, it seems the apt cache is locked.
Comment 1 Dirk Wiesenthal univentionstaff 2017-08-06 21:34:12 CEST
This needs to be fixed. Especially for 4.1-4.
Comment 2 Felix Botner univentionstaff 2017-08-07 15:00:05 CEST
univention-docker-container-mode.yaml errata4.2-1
Comment 3 Dirk Wiesenthal univentionstaff 2017-08-08 00:59:50 CEST
Works as expected.
YAML: OK
Comment 4 Arvid Requate univentionstaff 2017-08-09 16:57:26 CEST
<http://errata.software-univention.de/ucs/4.2/128.html>